import { Relay } from "@nostr/tools/relay";
import startImapServer from "./imapServer.ts";
import startSmtpServer from "./smtpServer.ts";
import { getFileOrDefault } from "./utils.ts";

export const queryingRelay = new Relay("wss://relay.damus.io");
export const countingRelay = new Relay("wss://relay.nostr.band");
await queryingRelay.connect();
await countingRelay.connect();

export const mailingLists = JSON.parse(
  await getFileOrDefault("mailing-lists.json", "[]"),
);

startImapServer();
startSmtpServer();
